package commands

import (
	"fmt"
)

// Help prints the usage information
func Help() {
	helpText := `
DataSmith
(ds) is a tool for generating database projects .

Usage: ds <command> [options]

Commands:

`

	helpText += "  " + InitHelp() + "\n"
	helpText += "  " + AddHelp() + "\n"
	helpText += "  " + VersionHelp() + "\n"
	helpText += "  " + HelpHelp() + "\n"

	fmt.Println(helpText)
}

// HelpHelp returns the help information for the help command
func HelpHelp() string {
	return "help: Show this help message."
}